gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Selectors.FileChooserDialog

Contents

- Detail
  - Response Codes
- Class Hierarchy
- Types
- Constructors

Description

A file chooser dialog, suitable for "File/Open" or "File/Save" commands

- Module available since Gtk+ version 2.4

Synopsis

- data FileChooserDialog
- class DialogClass o => FileChooserDialogClass o
- castToFileChooserDialog :: GObjectClass obj => obj -> FileChooserDialog
- gTypeFileChooserDialog :: GType
- toFileChooserDialog :: FileChooserDialogClass o => o -> FileChooserDialog
- fileChooserDialogNew :: Maybe String -> Maybe Window -> FileChooserAction -> [(String, ResponseId)] -> IO FileChooserDialog
- fileChooserDialogNewWithBackend :: Maybe String -> Maybe Window -> FileChooserAction -> [(String, ResponseId)] -> String -> IO FileChooserDialog

# Detail

`FileChooserDialog` is a dialog box suitable for use with "File/Open" or "File/Save as" commands. This widget works by putting a `FileChooserWidget` inside a `Dialog`. It exposes the `FileChooser`, interface, so you can use all of the `FileChooser` functions on the file chooser dialog as well as those for `Dialog`.

Note that `FileChooserDialog` does not have any methods of its own. Instead, you should use the functions that work on a `FileChooser`.

## Response Codes

`FileChooserDialog` inherits from `Dialog`, so buttons that go in its action area have response codes such as `ResponseAccept` and `ResponseCancel`.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----Window
     | +----Dialog
     | +----FileChooserDialog

# Types

data FileChooserDialog

Instances

Eq FileChooserDialog |
Ord FileChooserDialog |
GObjectClass FileChooserDialog |
FileChooserClass FileChooserDialog |
FileChooserDialogClass FileChooserDialog |
DialogClass FileChooserDialog |
WindowClass FileChooserDialog |
BinClass FileChooserDialog |
ContainerClass FileChooserDialog |
WidgetClass FileChooserDialog |
ObjectClass FileChooserDialog |

class DialogClass o => FileChooserDialogClass o

Instances

FileChooserDialogClass FileChooserDialog |

castToFileChooserDialog :: GObjectClass obj => obj -> FileChooserDialog

gTypeFileChooserDialog :: GType

toFileChooserDialog :: FileChooserDialogClass o => o -> FileChooserDialog

# Constructors

fileChooserDialogNew

Arguments

:: Maybe String | Title of the dialog (or default)
-> Maybe Window | Transient parent of the dialog (or none)
-> FileChooserAction | Open or save mode for the dialog
-> [(String, ResponseId)] | Buttons and their response codes
-> IO FileChooserDialog |

Creates a new `FileChooserDialog`.

fileChooserDialogNewWithBackend

Arguments

:: Maybe String | Title of the dialog (or default)
-> Maybe Window | Transient parent of the dialog (or none)
-> FileChooserAction | Open or save mode for the dialog
-> [(String, ResponseId)] | Buttons and their response codes
-> String | The name of the filesystem backend to use
-> IO FileChooserDialog |

Creates a new `FileChooserDialog` with a specified backend. This is especially useful if you use `fileChooserSetLocalOnly` to allow non-local files and you use a more expressive vfs, such as gnome-vfs, to load files.